 {% extends 'kpi/base.html'%}
 {% load staticfiles %}
 {% block title%}Задачи{% endblock%}
 {% block content %}
<div class="content-basic">
    <h2>Задачи сотрудников
        <div class="pull-right-sm" ><a role="button" href="{% url 'create_task' %}" class="btn btn-primary ">Создать задачу</a></div>
    </h2>
    <hr>
	<div class="list-group">
        <!-- Задания департамента-->
    {% if departments_task %}
       {%  else %}
         <h3>Нераспределенные задачи</h3>
		{% for task in departments_tasks %}
		<div class="list-group-item">
			<h3 class="list-group-item-heading">{{ task.context.name }}</h3>
			<small><span class=" time glyphicon glyphicon-time"></span>{{ task.get_date }} </small>
			<hr>
			<div class="row">
			 	<div class="col-lg-7 col-md-6 col-sm-12 col-xs-12">
					<p class="list-group-item-text"><h5>{{ task.department.name }}</h5></p>
					<!--   состояния: alert-success, alert-warning, alert-danger -->
					<p class="list-group-item-text alert-warning">В процессе</p>
				</div>
				<div class="col-lg-5 col-md -6 col-sm-12 col-xs-12">
					<a type="button" href="{% url 'update_task' task.pk %}" class="btn btn-primary">Добавить</a>
                    <button type="button" class="btn btn-default" disabled>Просмотреть отчет</button>
	               {% comment %} {% if task.report.all.count == 0  %}
	                    <button type="button" class="btn btn-primary" disabled>Просмотреть отчет</button>
	    			{% else %}
				        <a role="button" href="{% url 'reports_list' task.pk%}" class="btn btn-primary">Просмотреть отчет</a>
		    		{% endif %}{% endcomment %}
				</div>
			</div>

			<div class="collapse-info">
				<button type="button" class="btn btn-default btn-sm" data-target="#{{ task.pk }}" data-toggle="collapse">Подробнее</button>
				<div id="{{ task.pk }}" class="collapse"><div class="well">{{ task.description }}</div></div>
			</div>

		</div>
        {% endfor %}
    {%endif%}

    <!-- конец блока кода -->
    <!-- задания подчиненных -->
    {% if subordinates_tasks %}
        <h3>Распределенные задания</h3>
		{% for task in subordinates_tasks %}
		<div class="list-group-item">
			<h3 class="list-group-item-heading">{{ task.context.name }}</h3>
			<small><span class=" time glyphicon glyphicon-time"></span>{{ task.get_date }} </small>
			<hr>
			<div class="row">
			 	<div class="col-lg-7 col-md-6 col-sm-12 col-xs-12">
					<p class="list-group-item-text"><h4>{{ task.employee }}</h4></p>
					<p class="list-group-item-text"><h5>{{ task.parent.department.name }}</h5></p>
					<!--   состояния: alert-success, alert-warning, alert-danger -->
					<p class="list-group-item-text alert-warning">В процессе</p>
				</div>
				    <div class="col-lg-5 col-md -6 col-sm-12 col-xs-12">
                <button type="button" class="btn btn-default" disabled>Распределить</button>
{#					<a type="button" href="{% url 'update_task' task.pk %}" class="btn btn-primary">Добавить</a>#}
	                {% if task.report.all.count == 0  %}
	                    <a role ="button" class="btn btn-default" disabled>Просмотреть отчет</a>
	    			{% else %}
				        <a role="button" href="{% url 'reports_list' task.pk%}" class="btn btn-primary">Просмотреть отчет</a>
		    		{% endif %}
				</div>
			</div>

			<div class="collapse-info">
				<button type="button" class="btn btn-default btn-sm" data-target="#{{ task.pk }}" data-toggle="collapse">Подробнее</button>
				<div id="{{ task.pk }}" class="collapse"><div class="well">{{ task.description }}</div></div>
			</div>

		</div>
        {% endfor %}
      {%endif%}
    <!--конец блока кода-->
	</div>
</div>
 {% endblock content %}